出荷明細取得
GET
/shipments/{shipment_id}/details
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/shipments/5/details?fields=shipmentDetailId%2CproductId&sort=productId&limit=10&page=2&product_id=8000001';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/shipments/5/details?fields=shipmentDetailId%2CproductId&sort=productId&limit=10&page=2&product_id=8000001'出荷明細情報を取得します。
対象プラン
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”shipment_id
required
string
出荷ID
Example
5Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
Example
shipmentDetailId,productIdsort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
- shipmentDetailId:出荷明細ID:
- productId:商品ID
- updDateTime:更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
Example
productIdlimit
integer
上限数
Example
10page
integer
ページ
Example
2product_id
string
商品ID
Example
8000001Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
shipmentDetailId
出荷明細ID
string
shipmentId
出荷ID
string
productId
商品ID
string
taxRate
税率:出荷時の商品税率
string
cost
原価(外税)
string
price
商品単価(内税)
string
quantity
出荷数
string
memo
メモ
string
rfidTags
RFIDタグリスト
Array<string>
insDateTime
作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
updDateTime
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
Example
[ { "shipmentDetailId": "5", "shipmentId": "5", "productId": "8000001", "taxRate": "10.000", "cost": "100.00000", "price": "500", "quantity": "5", "memo": "出荷明細メモ5", "rfidTags": [ "RFID001", "RFID002" ], "insDateTime": "2025-01-01T00:00:00+09:00", "updDateTime": "2025-01-01T00:00:00+09:00" }]